Subject: RE: [BLISS] Welcome! Main question - what services?

From: "Elwell, John" <[email-masked]>
Date: Thu, 25 Jan 2007 20:23:43 +0000

> > 
> > 2) About DND. By reading the description I wasn't able to find any 
> > interoperability issues. Well, it is later described in the Issue. 
> > Perhaps the description should also add "... and associated 
> triggers for 
> > other services" or something like that. A
> 
> I don't think the charter needs to review the reaasons for interop 
> failures in detail. DND is problematic in my mind because 
> some devices 
> assume its entirely a UA function, others assume its in the 
> network and 
> invoked in some way, others assume its derived from presence, and 
> invoking it is done by PUBLISH to update your presence status to DND.
> 
> We need to document the variations that exist in the wild and then 
> figure out what a minimum baseline requirement would be for a UA.
> 
[JRE] Another issue with DND is how to signal that DND has been encountered.
RFC 3261 indicates that a 480 response can be used for this purpose, but 480
can be used for other purposes too. Also I don't think 480 is used
universally. Other features can occur, triggered by DND (e.g., a UAS could
indicate that DND has been encountered, a proxy might then trigger
forwarding to voicemail based on that), so a clear indication is essential.

John

_______________________________________________
BLISS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bliss